%global momorel 1

Summary: A library and tools to work with the PDF file format
Name:	podofo 
Version: 0.5.99
Release: 0.20080416.%{momorel}m%{?dist}
License: LGPL and GPL
Group:	 System Environment/Libraries
#Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
#NoSource: 0
Source0: podofo-0.5.99.rev795.tar.bz2
Patch0: podofo-0.5.99-ull.patch
Patch1: podofo-0.5.0-gcc43.patch
Patch2: podofo-0.5.99-gcc43.patch
URL:	 http://podofo.sourceforge.net/
BuildRequires: libjpeg-devel freetype-devel fontconfig-devel zlib-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
The PoDoFo library is a free, portable C++ library which includes classes to parse PDF files and modify their contents into memory. The changes can be written back to disk easily. The parser can also be used to extract information from a PDF file (for example the parser could be used in a PDF viewer). Besides parsing PoDoFo includes also very simple classes to create your own PDF files. All classes are documented so it is easy to start writing your own application using PoDoFo.

The PoDoFo tools are simple tools build around the PoDoFo library. These tools are first of all examples on how to use the PoDoFo library in your own projects. But secondly they offer also features for working with PDF files. More tools will come with future release and the existing tools will gain more features.
Currently there are the following tools:

    * podofoimgextract extracts all jpeg images from a given PDF file
    * podofouncompress removes all compression filters from a PDF file, this is useful for debugging existing PDF files
    * podofopdfinfo provides some basic info about a PDF - metadata, page details, etc.
    * podofotxt2pdf converts a text file to a PDF

%package devel
Summary:	Header files and libraries for a development with %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files and libraries for a development with %{name}


%prep
%setup -q

%patch0 -p1 -b .ull
%patch1 -p1 -b .gcc43~
%patch2 -p1 -b .gcc43~1

%build
cmake \
    -G "Unix Makefiles" \
    -DPODOFO_USE_VISIBILITY=1 \
    -DCMAKE_BUILD_TYPE=RELEASE \
    -DPODOFO_BUILD_SHARED:BOOL=TRUE \
    -DPODOFO_BUILD_STATIC:BOOL=FALSE \
%ifarch x86_64
    -DWANT_LIB64:BOOL=TRUE \
%endif
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} .
make

%install
rm -rf %{buildroot}

make DESTDIR=%{buildroot} install

install -m 644 src/PdfVersion.h %{buildroot}%{_includedir}/podofo
install -m 644 src/PdfContentsGraph.h %{buildroot}%{_includedir}/podofo

# remove libtool la
rm -rf %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING* ChangeLog FAQ.html INSTALL NEWS README* TODO
%doc doc examples
%{_libdir}/lib*.so.*
%{_bindir}/*

%files devel
%defattr(-, root, root)
%{_includedir}/podofo
%{_libdir}/lib*.so

%changelog
* Wed Apr 16 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.5.99-0.20080416.1m)
- use svn-trunk version (0.5.99, rev795) to set "-DWANT_LIB64:BOOL=TRUE"

* Tue Apr 15 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.5.0-1m)
- import to Momonga
- add patch for gcc43, generated by gen43patch(v1)
